## open-vm-tools 2011.12.20

=== modules/freebsd/vmblock/Makefile ===
--- 
+++ 
@@ -39,9 +39,11 @@
 HEADERS += os.h
 
 CSRCS  := block.c
+CSRCS  += os_panic.c
 CSRCS  += vfsops.c
 CSRCS  += vnops.c
 CSRCS  += subr.c
+CSRCS  += stubs.c
 
 SRCS   := $(HEADERS) $(CSRCS)
 
@@ -60,8 +62,7 @@
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/vmblock
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
-   VPATH  := $(OVT_SOURCE_DIR)/lib/misc
-   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmblock
+   VPATH  := $(OVT_SOURCE_DIR)/modules/shared/vmblock
 .else
    CFLAGS += -Ishared
 .endif
