## open-vm-tools 2011.12.20-562307

=== debian/changelog ===
open-vm-tools (2011.12.20-562307-0ubuntu1.2) precise; urgency=medium

  * Make open-vm-toolbox Breaks:/Replaces: versioned to ensure
    installability of the open-vm-source transtional package.
    (LP: #1499352)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 24 Sep 2015 14:21:58 +0100

open-vm-tools (2011.12.20-562307-0ubuntu1.1) precise; urgency=medium

  * Upstream v3.2.66 porting (LP: #1416003):
    - 'd_alias' member of struct dentry has been moved into the 'd_u' union

 -- Luis Henriques <luis.henriques@canonical.com>  Fri, 30 Jan 2015 08:25:20 -0600

open-vm-tools (2011.12.20-562307-0ubuntu1) precise; urgency=high

  * Merge latest upstream git tag. Fixes building on Precise
    (LP: #898289, LP: #905612)

  * Items merged from Debian unstable:
    - debian/control:
      + open-vm-tools recommends open-vm-dkms. (LP: #598933)
      + open-vm-tools now suggests open-vm-toolbox. (LP: #604998)
    (From 2011.08.21-471295-1 release)
    - Updating maintainer and uploaders fields.
    - Removing vcs fields.
    - Removing references to Daniel's old email address.
    - Updating years in copyright file.
    - Updating to standards version 3.9.2.
    - Updating to debhelper version 8.
    - Switching to source format 3.0 (quilt).
    - Removing manual chrpath setting.
    - Removing exclusion from plugins from debhelper shlibs.
    - Rediffing kvers.patch.
    (From 2011.09.23-491607-1 release)
    - Marking binary architecture-dependend packages as linux and kfreebsd
    only.
    - Removing liburiparser-dev from build-depends as upstream dropped
    unity support.
    - Building with libproc-dev on amd64 again.
    - Dropping disabling of dnet support.
    (From 2011.09.23-491607-2 release)
    - Adding doxygen to build-depends for api documentation.
    - Adding libcunit1-dev to build-depends for test suites.
    - Minimizing rules file.
    - Adding open-vm-tools-dev package, containing only the api
      documentation for now.
    (From 2011.09.23-491607-3 release)
    - Sorting overrides in rules alphabetically.
    - Compacting copyright file.
    - Adding udev rule to set timeout for vmware scsi devices
    (From 2011.12.20-562307-1 release)
    - Adding patch to correct typo in upstreams dkms configuration

  * Remaining Changes:
    - Remove Stable part of version numbering.
    - debian folder:
      + Re-added open-vm-dkms.postinst & open-vm-dkms.prerm.
        * Allows dkms modules to compile upon installation.
    - debian/control:
      + Re-add open-vm-source and make into a transitional package
        for open-vm-toolbox.
      + Return dependancies that were moved to open-vm-tools back to
        open-vm-toolbox.
    - debian/rules and debian/open-vm-toolbox.lintian-overrides:
      + Make vmware-user-suid-wrapper suid-root
    - debian/rules:
      + Added CFLAGS field with -Wno-deprecated-declarations
        * Will suppress issues with glib 2.31 or later.
      + Add line to copy vmware-xdg-detect-de into place.
      + Install vmware-user.desktop through toolbox package.
    - debian/open-vm-tools.init:
      + Re-add 'modprobe [-r] vmblock'.
      + Add 'modprobe [-r] vmxnet'.
        * Incase it's not loaded during boot.
      + Remove and re-add pcnet32 module
        * Will be done before (remove) and after (readd) vmxnet module
          is added.
        * If vmxnet doesn't exist (aka modules fail to build), pcnet32 can be
          still used for network connectivity.
        * Workaround until a better fix can be done.
    - Re-add gnome-session to debian/local/xautostart.conf
    - Manpages removed (from debian/manpages):
      + vmmemctl.9
      + vmxnet3.9
      + Remove references to manpages that have been removed.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Mon, 23 Jan 2012 16:09:45 -0600

open-vm-tools (2011.07.19-450511-0ubuntu2) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 11:03:50 +0000

open-vm-tools (2011.07.19-450511-0ubuntu1) oneiric; urgency=low

  * Merge latest upstream git tag. Fixes Building on Oneiric
    (LP: #776103, LP: #807903)

  * The Toolbox (GUI) has been removed.
  * Changes in debian folder:
    - Contents of open-vm-toolbox.lintian-overrides have been moved to
      open-vm-tools.lintian-overrides.
    - The contents of open-vm-toolbox.manpages (excluding the first line,
      which relates to the Toolbox) have been moved to open-vm-tools.manpages.
  * Changes in debian/control:
    - Convert open-vm-toolbox into a transitional package.
    - All dependencies for toolbox have been moved to open-vm-tools package.
    - Changed architecture for open-vm-toolbox package to all.
    - Added Replaces and Breaks fields to open-vm-tools.
  * Changes in debian/rules:
    - Commented out references to the Toolbox (GUI), that no longer exist
      in the package itself.
    - Remaining references changed from open-vm-toolbox to open-vm-tools.
    - Added -Wno-unused-but-set-variable to CFLAGS to suppress remaining
      issues with GCC 4.6.0 or later.
  * Files removed in debian/manpages:
    - vmmemctl.9 (Component no longer in package)
    - vmware-toolbox.1 (Component removed in this release)
    - vmxnet3.9 (vmxnet3 is now included in kernel itself)

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 22 Jul 2011 16:41:03 -0500

open-vm-tools (2011.03.28-387002-0ubuntu4) oneiric; urgency=low

  * Updated /debian/manpages/vmhgfs.9: Typo fixed and further information
    was added (LP: #572335)

 -- Christian Titze <christitze@web.de>  Fri, 08 Jul 2011 09:25:33 -0700

open-vm-tools (2011.03.28-387002-0ubuntu3) oneiric; urgency=low

  * Revert debian/rules change in 2011.03.28-387002-0ubuntu2 and instead
    remove debian/open-vm-toolbox.links, which was shadowing the original
    /etc/xdg/autostart/vmware-user.desktop file.

 -- Evan Broder <evan@ebroder.net>  Sat, 07 May 2011 23:51:39 -0700

open-vm-tools (2011.03.28-387002-0ubuntu2) oneiric; urgency=low


