## open-vm-tools 2012.05.21-724730

=== debian/changelog ===
open-vm-tools (2012.05.21-724730-0ubuntu2) quantal; urgency=low

  * debian/open-vm-tools.init: Add if statement to check for vmxnet module,
    and if found, remove pcnet32 module.
  * debian/control: Remove open-vm-source package.
    - Only needed to add back open-vm-toolbox for Oneiric->Precise upgrade.

  * Items merged from Debian unstable:
    - Switching to xz compression.
    - Adding sleep during restart in initscript.
    - Removing old dpkg trigger for update-initramfs.
    - Updating GPL boilerplate in copyright file.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 03 Aug 2012 16:09:30 -0500

open-vm-tools (2012.05.21-724730-0ubuntu1) quantal; urgency=low

  * Merging upstream version 2012.05.21-724730.
    - Fixes building against the current Quantal kernel. (LP: #1000344)
    - Fixes Quantal installation issues. (LP: #1019031)

  * Sync with Debian
    - Updating to debhelper version 9.
    - Updating to standards version 3.9.3.
    - Updating copyright file machine-readable format version 1.0.
    - Building without multiarch paths for now

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 20 Jun 2012 15:59:51 -0500

open-vm-tools (2011.12.20-562307-0ubuntu2) quantal; urgency=low

  * Build-depend on the new libprocps0-dev instead of libproc-dev.
  * Change the way we export -Wno-deprecated-declarations to make
    the package no longer FTBFS with the latest dpkg/debhelper.
  * Snag the 02-procps.patch patch from Debian for the proc rename.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Jun 2012 11:44:25 -0600
