## open-vm-tools 2012.12.26-958366

=== debian/changelog ===
open-vm-tools (2012.12.26-958366-0ubuntu3) raring-proposed; urgency=low

  * Ubuntu-specific Changes
    - debian/rules: Added LIBS field with -lpthread.
      + Fixes package compile failure for Raring and future Ubuntu Releases.

  * Items merged from Debian unstable:
    (From 2:9.2.2-893683-1 release)
    - Adding remote_fs dependency in initscript.
    - Correcting architecture fields in control.

    (From 2:9.2.2-893683-2 release)
    - Removing init order to network.

    (From 2:9.2.2-893683-4 release)
    - Removing init order to network also on start.

    (From 2:9.2.2-893683-5 release)
    - Updating to standards version 3.9.4.
    - Updating year in copyright file.
    - Prefixing patches with 4 digits for consistency.
    - Tightening diff headers in patches.
    - Dropping dpkg-source compression levels.

    (From 2:9.2.2-893683-6 release)
    - Remove all references to Daniel's old email address.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 13 Mar 2013 16:44:46 -0500

open-vm-tools (2012.12.26-958366-0ubuntu2) raring; urgency=high

  * debian/patches: Rename 05-vmhgfs.patch to 05-kernel-38-fixes.patch.
    - Since it contains fixes to more than 1 file.
    - Add vmci fixes recommended from upstream
      + Will be added in next release (whenever that is).

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 01 Feb 2013 13:49:06 -0600

open-vm-tools (2012.12.26-958366-0ubuntu1) raring-proposed; urgency=high

  * Merging upstream version 2012.12.26-958366.

  * Added 04-dkms-vmsync.patch: An additional to 03-dkms.patch
    - Deletes lines involving vmsync, adjust other numbers.
    - Module compile still fails if we don't add this patch.
    - This keeps the 03-dkms.patch unmodified.

  * Added 05-vmhgfs.patch:
    - Fixes vmxnet compile issues with 3.8 kernel (LP: #1100096)

  * Stop dkms from building vmblock module.
    - vmblock-fuse takes care of this now.
      + Modules still build, but this gets rid of the vmblock-related
        warning message

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Mon, 28 Jan 2013 16:11:13 -0600

open-vm-tools (2012.10.14-874563-0ubuntu2) raring-proposed; urgency=high

  * Stop dkms from building vmsync module.
    - Fixes building against current Raring kernel. (LP: #1088053)

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Sat, 08 Dec 2012 15:27:13 -0600

open-vm-tools (2012.10.14-874563-0ubuntu1) raring; urgency=low

  * Merging upstream version 2012.10.14-874563.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 31 Oct 2012 18:27:35 -0500
