=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
- debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
+ debhelper (>= 9), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
  libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
- libpam0g-dev, libproc-dev, libx11-dev, libxinerama-dev, libxss-dev,
+ libpam0g-dev, libprocps0-dev, libx11-dev, libxinerama-dev, libxss-dev,
  libxtst-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://open-vm-tools.sourceforge.net/
 
 Package: open-vm-tools
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: open-vm-dkms, ethtool, zerofree
 Suggests: open-vm-toolbox
@@ -28,13 +29,14 @@
  and are tied to a specific virtualization platform.
 
 Package: open-vm-toolbox
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
 Recommends:
  open-vm-dkms, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
 Suggests: xdg-utils
-Replaces: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
-Breaks: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
+Replaces: open-vm-source
+Breaks: open-vm-source
 Description: tools and components for VMware guest systems (GUI tools)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
  implementation of VMware Tools. They are a set of guest operating system
@@ -49,6 +51,7 @@
 Package: open-vm-tools-dev
 Section: devel
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: tools and components for VMware guest systems (development)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -61,7 +64,8 @@
 Package: open-vm-tools-dbg
 Section: debug
 Priority: extra
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-toolbox (= ${binary:Version})
 Description: tools and components for VMware guest systems (debug)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -73,6 +77,7 @@
 
 Package: open-vm-dkms
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, dkms, make
 Recommends: open-vm-tools
 Suggests: open-vm-toolbox
@@ -80,12 +85,3 @@
  This package provides the source code for the open-vm kernel modules.
  The open-vm-tools package is also required in order to make use of these
  modules. Kernel source or headers are required to compile these modules.
-
-Package: open-vm-source
-Architecture: all
-Depends: open-vm-toolbox, ${misc:Depends}
-Description: Transitional package for open-vm-source
- This is a transitional package for open-vm-source, used to reinstall
- open-vm-toolbox.
- .
- It can be safely removed after the installation is complete.
