=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
+
+export CFLAGS += -Wno-deprecated-declarations
+export LIBS += -lpthread
 
 %:
 	dh ${@} --with autotools_dev
 
-CFLAGS += -Wno-deprecated-declarations
-
 override_dh_auto_configure:
-	dh_auto_configure -- --without-kernel-modules
+	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib --without-kernel-modules
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools
@@ -56,7 +57,7 @@
 	install -D -m 4755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz
 
 override_dh_fixperms:
 	dh_fixperms -Xsbin/mount.vmhgfs -Xusr/sbin/vmware-user-suid-wrapper
